Prima::StartupWindow(3)

NAME
Prima::StartupWindow - a simplistic startup banner window

DESCRIPTION
The module, when imported by "use" call, creates a temporary window which appears with 'loading...' text while the modules required by a program are loading. The window parameters can be modified by passing custom parameters after "use Prima::StartupWindow" statement, which are passed to "Prima::Window" class as creation parameters. The window is discarded by explicit unimporting of the module ( see "SYNOPSIS" ).

SYNOPSIS
   use Prima;
   use Prima::Application;
   use Prima::StartupWindow; # the window is created here

   use Prima::Buttons;
   .... # lots of 'use' of other modules

   no Prima::StartupWindow; # the window is discarded here

AUTHORS
Anton Berezin <tobez@tobez.org>, Dmitry Karasik, <dmitry@karasik.eu.org> ( documentation ).

SEE ALSO
Prima, Prima::Application.